{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-24.11";
    sops-nix.url = "github:Mic92/sops-nix";
  };

  outputs =
    inputs:
    {
      colmena = {
        meta = {
          nixpkgs = import inputs.nixpkgs {
            system = "x86_64-linux";
            overlays = [ ];
          };
        };

        git-system =
          {
            name,
            nodes,
            pkgs,
            ...
          }:
          {
            deployment = {
              targetHost = "somehost.tld";
              targetPort = 1234;
              targetUser = "luser";
            };
            imports = [ ./git_system.nix ];
          };
        runner-system =
          {
            name,
            nodes,
            pkgs,
            ...
          }:
          {
            imports = [ ./runner_system.nix ];
          };
        dev-system =
          {
            name,
            nodes,
            pkgs,
            ...
          }:
          {
            imports = [ ./dev_system.nix inputs.sops-nix.nixosModules.sops ];
          };
      };
    };
}
